Package org.silverpeas.components.gallery.notification.user

## Class AbstractGalleryAlbumUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.gallery.notification.user.AbstractGalleryUserNotification<AlbumDetail>
        - - org.silverpeas.components.gallery.notification.user.AbstractGalleryAlbumUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`
  Direct Known Subclasses:
    `GalleryAlbumMediaSubscriptionNotificationBuilder`

      public abstract class AbstractGalleryAlbumUserNotification
      extends AbstractGalleryUserNotification<AlbumDetail>

  Centralizes the building of a `UserNotification` in relation with an album.
  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String` | `getComponentInstanceId()` |
    `protected String` | `getContributionAccessLinkLabelBundleKey()` |
    `protected String` | `getPath​(String language)` |
    `protected String` | `getResourceURL​(AlbumDetail resource)` |
    `protected String` | `getSender()` |
    `protected void` | `perform​(AlbumDetail resource)` |
    `protected void` | `performNotificationResource​(String language, AlbumDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)` |
    `protected void` | `performTemplateData​(String language, AlbumDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.notification.user.AbstractGalleryUserNotification

      `getAction, getLocalizationBundlePath, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop, stopWhenNoUserToNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### perform

          protected void perform​(AlbumDetail resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`

    - #### getComponentInstanceId

          protected String getComponentInstanceId()

      Specified by:
        `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSender

          protected String getSender()

      Specified by:
        `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getResourceURL

          protected String getResourceURL​(AlbumDetail resource)

      Overrides:
        `getResourceURL` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<AlbumDetail>`

    - #### getContributionAccessLinkLabelBundleKey

          protected String getContributionAccessLinkLabelBundleKey()

      Overrides:
        `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`

    - #### performTemplateData

          protected void performTemplateData​(String language,
                                             AlbumDetail resource,
                                             org.silverpeas.core.template.SilverpeasTemplate template)

      Specified by:
        `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`

    - #### performNotificationResource

          protected void performNotificationResource​(String language,
                                                     AlbumDetail resource,
                                                     org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)

      Specified by:
        `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<AlbumDetail>`

    - #### getPath

          protected final String getPath​(String language)